This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 612027 - Installing Home Page doesn't regenerate ToCs
Installing Home Page doesn't regenerate ToCs
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 01:21 EDT by Ruediger Landmann
Modified: 2010-11-23 23:16 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.3-0.fc13
Doc Type: Bug Fix
Doc Text:
When installing a document onto a Publican website, the installation process runs a script (regen_all_toc) to regenerate the table of contents information for navigation. Previously, however this script was not invoked when installing the special Home, Product or Version pages for a Publican website. In this updated version of publican, this issue has been resolved.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-07-07 01:21:00 EDT
Description of problem:
The template that generates spec files for the web home is missing the call to regen_all_toc that normal books have. Therefore, when you install the home page on a site, it doesn't regenerate the various tables of contents.

Version-Release number of selected component (if applicable):
2.1

How reproducible:
100%

Steps to Reproduce:
1. Create a Publican home page and set a custom web_search parameter in the publican.cfg file
2. Install the home page on a Publican-generated website
3. view the source of any of the localized tables of contents on the site, for example, en-US/index.html
  
Actual results:
The custom web_search is not implemented

Expected results:
The custom web_search is implemented

Additional info:
Workaround: The next time that the tables of contents are regenerated (say, by installing or removing a book, or by running update_site), the custom web_search is implemented correctly. It's therefore possible to deliberately trigger the ToCs to regenerate; or to just wait for the next document to be installed, removed, or updated.
Comment 1 Jeff Fearn 2010-08-04 00:52:21 EDT
Added call in web-home-spec.xsl to regen_all_toc

Fixed in build: 2.1-0%{?dist}.t8
Comment 2 Ruediger Landmann 2010-08-06 00:39:55 EDT
Verified in 2.1.t20 that the %post section of the spec file calls regen_all_toc()
Comment 3 Fedora Update System 2010-10-06 01:48:28 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 4 Fedora Update System 2010-10-06 01:49:45 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 5 Fedora Update System 2010-10-06 01:49:49 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 6 Fedora Update System 2010-10-08 16:39:53 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Ryan Lerch 2010-10-18 01:26:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When installing a document onto a Publican website, the installation process runs a script (regen_all_toc) to regenerate the table of contents information for navigation. Previously, however this script was not invoked when installing the special Home, Product or Version pages for a Publican website. In this updated version of publican, this issue has been resolved.
Comment 8 Fedora Update System 2010-10-25 23:44:25 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 9 Fedora Update System 2010-10-27 18:47:17 EDT
publican-2.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.